Bug 132338 - Kernel no longer recognizes 16mb "Diskonkey" usb thumb drive
Kernel no longer recognizes 16mb "Diskonkey" usb thumb drive
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 20:41 EDT by Lee Wittenberg
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Wittenberg 2004-09-10 20:41:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
After upgrading to the 2.6.8 kernel, my system no longer recognizes my
16mb Diskonkey USB thumb drive.  It seems to be a kernel, rather than
a hotplug, problem since the hotplug version (2004_04_01-1) is the
same as that originally installed by FC2.  When I plug the drive into
a USB port, the kernel logs the following lines to /var/log/messages:

    kernel: usb 3-1: new full speed USB device using address 22
    kernel: usb-storage: probe of 3-1:1.0 failed with error -1

Under the original FC2 kernel (2.6.5-1.358), the following lines were
logged:

    kernel: usb 1-2.4: new full speed USB device using address 3
    kernel: Initializing USB Mass Storage driver...
    kernel: scsi0 : SCSI emulation for USB Mass Storage devices
    kernel:   Vendor: M-Sys     Model: DiskOnKey         Rev: 2.01
    kernel:   Type:   Direct-Access                      ANSI SCSI
revision: 02
    kernel: usbcore: registered new driver usb-storage
    kernel: USB Mass Storage support registered.
    scsi.agent[25956]: disk at
/devices/pci0000:00/0000:00:1f.2/usb1/1-2/1-2.4/1-2.4:1.0/host0/0:0:0:0
    kernel: SCSI device sda: 31520 512-byte hdwr sectors (16 MB)
    kernel: sda: assuming Write Enabled
    kernel: sda: assuming drive cache: write through
    kernel:  sda: sda1 sda2 sda4
    kernel: Attached scsi removable disk sda at scsi0, channel 0, id
0, lun 0

I haven't been able to figure out where the "probe failed" message is
generated, so I'm not sure which kernel module is failing.  Other
(possibly) useful output is

uname -a:
    Linux benjamin 2.6.8-1.521 #1 Mon Aug 16 09:01:18 EDT 2004 i686
i686 i386 GNU/Linux

lsusb:
    Bus 003 Device 024: ID 08ec:0010 M-Systems Flash Disk Pioneers
DiskOnKey
    Bus 003 Device 001: ID 0000:0000
    Bus 002 Device 001: ID 0000:0000
    Bus 001 Device 001: ID 0000:0000

These symptoms are not limited to one system.  It occurs on Dell
desktops (Optiplex GX270, Dimension 2350) as well as my laptop
(Toshiba Satellite A45-S250 and a self-built machine (500MHz Celeron),
 so it's almost certainly not a hardware problem.

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1.  Plug drive into any USB slot
2.
3.
    

Actual Results:  nothing (see "Description" for messages logged by kernel)

Expected Results:  The drive should have been recognized (see
"Description" for messages that should have been logged), and a
/mnt/diskonkey entry should have been added (by updfstab) to /etc/fstab.

Additional info:
Comment 1 David Jansen 2004-09-22 07:37:32 EDT
I have a similar but not identical problem: the kernel doesn't even
notice that the usb disk is plugged in. The same device works on other
computers running the same kernel. Going back to the original 2.6.5
kernel of FC2 solves the problem, but with this kernel, the on-board
network interface of this computer is not recognized so this isn't
really an option.
I have tried all the usb disks/cameras that I have available, and none
of them causes anything to happen in the logs or the entries under
/proc/bus/usb and /sys/bus/usb on this computer.
Comment 2 Dave Jones 2005-04-16 00:45:31 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.